.TH rel 4 "sasl  2.1.7" "Ericsson AB" "FILES"
.SH NAME
rel \- Release resource file
.SH DESCRIPTION
.LP
The \fIrelease resource file\fR specifies which applications are are included in a release (system) based on Erlang/OTP\&.
.LP
This file is used by the functions in \fIsystools\fR when generating start scripts (\fI\&.script\fR, \fI\&.boot\fR) and release upgrade files (\fIrelup\fR)\&.

.SH FILE SYNTAX
.LP
The release resource file should be called \fIName\&.rel\fR\&.
.LP
The \fI\&.rel\fR file contains one single Erlang term, which is called a \fIrelease specification\fR\&. The file has the following syntax:

.nf
{release, {RelName,Vsn}, {erts, EVsn},
  [{Application, AppVsn} |
   {Application, AppVsn, Type} |
   {Application, AppVsn, IncApps} |
   {Application, AppVsn, Type, IncApps}]}\&.
    
.fi
.RS 2
.TP 2
*
\fIRelName = string()\fR is the name of the release\&.
.TP 2
*
\fIVsn = string()\fR is the version of the release\&.
.TP 2
*
\fIEVsn = string()\fR is the version of ERTS the release is intended for\&.
.TP 2
*
\fIApplication = atom()\fR is the name of an application included in the release\&.
.TP 2
*
\fIAppVsn = string()\fR is the version of an application included in the release\&.
.TP 2
*
\fIType = permanent | transient | temporary | load | none\fR is the start type of an application included in the release\&.
.RS 2
.LP

.LP
If \fIType = permanent | transient | temporary\fR, the application will be loaded and started in the corresponding way, see \fIapplication(3)\fR\&. If \fIType = load\fR, the application will only be loaded\&. If \fIType = none\fR, the application will be neither loaded nor started, although the code for its modules will be loaded\&. Defaults to \fIpermanent\fR
.RE
.TP 2
*
\fIIncApps = [atom()]\fR is a list of applications that are included by an application included in the release\&.
.RS 2
.LP

.LP
The list must be a subset of the included applications specified in the application resource file (\fIApplication\&.app\fR) and overrides this value\&. Defaults to the empty list\&.
.RE
.RE
.SS Note:
.LP
The list of applications must contain the \fIkernel\fR and \fIstdlib\fR applications\&.

.SH SEE ALSO
.LP
application(3), relup(4), systools(3)
